summaryrefslogtreecommitdiff
path: root/openstack
diff options
context:
space:
mode:
authorFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2014-11-10 18:11:45 +0000
committerFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2015-01-22 12:46:22 +0000
commit1ed8989f12f429c05d4babb0c88b136e366cd646 (patch)
tree914e4212e2bcb333adc8155a2ba95b070277b281 /openstack
parentf7f95e44844c6e7b871ccf562b0978322889b1a7 (diff)
downloaddefinitions-1ed8989f12f429c05d4babb0c88b136e366cd646.tar.gz
WIP: Add rabbitmq setup script
Diffstat (limited to 'openstack')
-rw-r--r--openstack/usr/share/openstack/openstack-rabbitmq-setup46
1 files changed, 46 insertions, 0 deletions
diff --git a/openstack/usr/share/openstack/openstack-rabbitmq-setup b/openstack/usr/share/openstack/openstack-rabbitmq-setup
new file mode 100644
index 00000000..fb83c039
--- /dev/null
+++ b/openstack/usr/share/openstack/openstack-rabbitmq-setup
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -xe
+
+# Create required system users and groups
+getent group rabbitmq >/dev/null || groupadd -r --gid 1002 rabbitmq
+getent passwd rabbitmq >/dev/null || \
+ useradd --uid 1002 -r -g rabbitmq -d /var/lib/rabbitmq -s /sbin/nologin \
+ -c "Rabbitmq server daemon" rabbitmq
+
+chown -R rabbitmq:rabbitmq /var/lib/rabbitmq
+
+# Create directories and files needed to run openstack-rabbitmq-server
+if [ ! -d /var/run/rabbitmq ]; then
+ mkdir -p /var/run/rabbitmq
+ chown -R rabbitmq:rabbitmq /var/run/rabbitmq
+ chmod 755 /var/run/rabbitmq
+fi
+
+if [ ! -d /var/log/rabbitmq ]; then
+ mkdir -p /var/log/rabbitmq
+ chown -R rabbitmq:rabbitmq /var/log/rabbitmq
+ chmod 755 /var/log/rabbitmq
+fi
+
+systemctl start openstack-rabbitmq-server
+
+ln -s "/etc/systemd/system/openstack-rabbitmq-server.service" \
+ "/etc/systemd/system/multi-user.target.wants/openstack-rabbitmq-server.service"
+
+exit 0